<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePartTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('part', function (Blueprint $table) {
          $table->increments('id_part');
          $table->integer('id_tournament')->unsigned();
          $table->integer('level');
          $table->foreign('id_tournament')->references('id_tournament')->on('tournament')->onDelete('restrict')->onUpdate('cascade');
          $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
      // Schema::table('part', function(Blueprint $table) {
      //      $table->dropForeign('part_id_tournament_foreign');
      // });

      Schema::dropIfExists('part');
    }
}
